package cn.com.ty.lift.business.common;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author bieao
 * @date 2019/12/21
 * @description 公共字段
 */
@Data
public abstract class BaseEntity implements Serializable {

    /**
     * 创建时间 默认为系统当前时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 创建者id
     */
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 修改时间 默认为系统当前时间
     */
    @TableField(value = "update_Time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    /**
     * 修改者id
     */
    @TableField(value = "update_id", fill = FieldFill.INSERT_UPDATE)
    private Long updateId;

    /**
     * 逻辑删除标识
     */
    @TableField(value = "delete_flag", fill = FieldFill.UPDATE)
    private String deleteFlag;
}
