package cn.com.ty.lift.business.maintenance.dao.entity.model;

import cn.com.ty.lift.business.library.dao.entity.ProjectLiftRelevance;
import cn.com.ty.lift.business.maintenance.dao.entity.MaintenancePlan;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author bieao
 * @date 2019/12/16
 * @description 维保计划列表请求体
 */
@Data
public class MaintenancePlanRequest {
    /**
     * 电梯列表
     */
    private List<MaintenancePlan> planList;

    /**
     * 项目电梯关联id列表
     */
    private List<ProjectLiftRelevance> relevanceList;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 维保工id
     */
    private String workerId;
    /**
     * 维保公司id
     */
    private String mtCompanyId;
    /**
     * 电梯id
     */
    private String liftId;
    /**
     * 维保间隔 1-15
     */
    private Integer planInterval;
    /**
     * 开始时间
     */
    private String beginTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 首保时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date firstTime;
    /**
     * 期数 1-24
     */
    private Integer periods;
    /**
     * 间隔 1-15
     */
    private Integer interval;
}
